%% Script Description
% Identification of the transfer function
% from Ground Motion to sample displacement.

%%
clear; close all; clc;

%%
initializeSample(struct('mass', 20));
initializeSimConf(struct('cl_time', 0));

%% Open Loop
[Gd_ol_20, Gd_ol_20_raw] = identifyGd(struct('cl', false));

%% Close Loop
[Gd_cl_20, Gd_cl_20_raw] = identifyGd(struct('cl', true));

%%
freqs = logspace(0, 3, 1000);
bodeFig({Gd_ol_20(1, 1), Gd_cl_20(1, 1)}, freqs, struct('ylabel', 'Amplitude [m/m]'))
legend({'OL', 'CL'});

exportFig('transmissibility_ol_cl', 'half-normal');

%%
save('./mat/Gd_ol_cl.mat', 'Gd_ol_20', 'Gd_cl_20');
